WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

C4F Textarea Toolbar

C4F Textarea Toolbar adds a toolbar for markup and emoticons insertion to WordPress comments' textarea. It is extremely easy to set up and custom

C4F Textarea Toolbar installation is extremely easy:

  1. Download the plugin, unpack it and upload the whole "c4f-textarea-toolbar" folder to the /wp-content/plugins/ directory
  2. Activate C4F Textarea Toolbar through the "Plugins" menu in the Administration Panel
  3. Place <?php C4F_TextareaToolbar(); ?> in your template (Optional but Recommended)
    • To avoid the plugin's function to be called (resulting in an error) when you disable the plugin, you might want to include the function using a conditional statement as in the following example: <?php if (function_exists("C4F_TextareaToolbar")) C4F_TextareaToolbar(); ?>
  4. Check the options' page in your Administration Panel to configure C4F Textarea Toolbar

Optional for advanced users

You can set up C4F Textarea Toolbar also through parameters in an array inside the function call. The function accepts the following parameters:

  • showhat (defines which toolbar is displayed)
  • credit (defines if the credit line is displayed)

The credit parameter accepts a true/false value, while the showhat parameter accepts three values:

  • all (displays both toolbars)
  • only_controls (displays only the markup toolbar)
  • only_smilies (displays only the emoticon toolbar)

Here are a few examples of how the parameters can be defined inside the function:

  1. <?php C4F_TextareaToolbar(array("showhat" => "only_smilies", "credit" => true)); ?>
  2. <?php $params = array("showhat" => "only_controls", "credit" => false); C4F_TextareaToolbar($params); ?>

Note that by using parameters inside the function you will override the option panel's settings.

Requires: 2.1 or higher
Compatible up to: 3.1.4
Last Updated: 2008-9-17
Downloads: 2,240

Ratings

1 star
1.5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1
100,2,2
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1